package entidades;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class Cliente {

    private String cpf;
    private String nome;

    public Cliente() {
    }
    
    public Cliente(String cpf) {
        //setCpf(cpf);
        //restore(cpf);
        //ClienteDAO dao = new ClienteDAO();
        Cliente c = ClienteDAO.busca(cpf);
        if (c != null) {
            this.cpf = c.getCpf();
            nome = c.getNome();
        }
    }

    public String getCpf() {
        if (cpf == null) return "";
        return cpf;
        
    }

    public boolean setCpf(String cpf) {
        if (cpf == null) return false;
        cpf = cpf.replaceAll("[.-]","");
        if (cpf.length() != 11) return false;
        this.cpf = cpf;
        return true;
    }

    public String getNome() {
        if (nome == null) return "";
        return nome;
    }

    public boolean setNome(String nome) {
        if (nome == null) return false;  
        if (nome.length() < 5) return false;
        this.nome = nome;
        return true;
    }

    @Override
    public String toString() {
        return "Cliente{" + "cpf=" + getCpf() + ", nome=" + getNome() + '}';
    }
    
}
